| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_iface_toolbar_control Struct Reference

Describes a single control widget within an interface toolbar. More...

`#include <iface_toolbar.h>`

## Public Attributes
int | num
iface_toolbar_ctrl_type | ctrl_type
iface_toolbar_ctrl_role | ctrl_role
char * | display
char * | validation
bool | is_required
char * | tooltip
char * | placeholder
union { |
bool boolean |
char * string |
} | default_value
GList * | values

## Detailed Description

Describes a single control widget within an interface toolbar.

## Member Data Documentation

## ◆ boolean

bool _iface_toolbar_control::boolean

Default value for a boolean control

## ◆ ctrl_role

iface_toolbar_ctrl_role _iface_toolbar_control::ctrl_role

Functional role of this control

## ◆ ctrl_type

iface_toolbar_ctrl_type _iface_toolbar_control::ctrl_type

Widget type (boolean, button, selector, string)

## ◆ [union]

union { ... } _iface_toolbar_control::default_value

Default value, interpreted according to `ctrl_type`

## ◆ display

char* _iface_toolbar_control::display

Label displayed next to the control

## ◆ is_required

bool _iface_toolbar_control::is_required

True if the control must have a value before capture starts

## ◆ num

int _iface_toolbar_control::num

Numeric identifier for this control

## ◆ placeholder

char* _iface_toolbar_control::placeholder

Placeholder text for string controls when empty

## ◆ string

char* _iface_toolbar_control::string

Default value for a string or selector control

## ◆ tooltip

char* _iface_toolbar_control::tooltip

Tooltip text shown on hover

## ◆ validation

char* _iface_toolbar_control::validation

Optional regex used to validate string input

## ◆ values

GList* _iface_toolbar_control::values

Ordered list of iface_toolbar_value entries (selector controls only)

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/ui/iface_toolbar.h